Subject: bug#20784: 25.0.50; pcase documentation on t and nil

From: Artur Malabarba <[email-masked]>
Date: Wed, 10 Jun 2015 21:20:15 +0100

In pcase's docstirng, the second line of pcase patterns says:

SELFQUOTING matches itself. This includes keywords, numbers, and strings.

However, that doesn't apply to t and nil, instead, they are covered by
the SYMBOL clause.
I've always thought of t and nil as self-quoting, but if that's not
the case, I think the docstring should explicitly state:

SELFQUOTING matches itself. This includes keywords, numbers, and
strings (but not t or nil).